#ifndef _Vesi_HPP_
#define _Vesi_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"
#include "stream.hpp"

class Vesi : public Base
{
	public:

		Vesi();
		~Vesi();

		bool init(unsigned long s, unsigned long e);
		void draw();

		Mesh *waterPlane;

	private:
		void renderScene(float pos, float alpha);
};

#endif
